# Generic

Small Web Framework



## Installation

Add this line to your application's Gemfile:

```ruby
gem 'generic'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install generic

## Usage


```ruby
# myapp.rb

require 'generic'
class App < Generic::Boot
  get '/' do
    'Hello world!'
  end
end

App.go!(3000)
```

Run Generic:

```bash
ruby myapp.rb
```
## TODO
1. Coffee, Sass parser
2. Application Environment
3. Small Active Records

## Contributing

1. Fork it ( https://github.com/Generic-Ruby/Generic/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
